#ifndef SCALAR_2WAVES_KINETIC_SOLVER_HPP
#define SCALAR_2WAVES_KINETIC_SOLVER_HPP

#include <language/utils/FunctionSymbolId.hpp>
#include <scheme/DiscreteFunctionVariant.hpp>

std::shared_ptr<const DiscreteFunctionVariant> scalar2WavesKineticSolver(
  const double& dt,
  const FunctionSymbolId& flux_function_id,
  const double& lambda,
  const double& eps,
  const std::shared_ptr<const DiscreteFunctionVariant>& F);

#endif   // SCALAR_2WAVES_KINETIC_SOLVER_HPP
